* {
    margin: 0;
    box-sizing: border-box;
    font-family: "", serif;
    color: rgb(153, 49, 49);
}

body {
    background: #fffca9;
    line-height: 1.6;
}

.container {
    width: min(95%, 1200px);
    margin: 32px auto;
}

.mainhead {
    font-size: 35px;
    font-family: Impact;
    text-align: center;
    padding: 5px;
}

.navigation {
    text-align: center;
    font-size: 30px;
    padding: 15px;
    color: #f4b152;
    margin-bottom: 20px;
    font-weight: bold;
}

.grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 20fr));
    gap: 34px;
    background: #b4dfff;
    padding: 24px;
    border-radius: 12px;
}

.images, .card-a, .card-b, .sidebar {
    background: #d6fbd8;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 2px 6px rgba(0,0,0,0.08);
    text-align: center;
}

.images img,
.card-a img,
.card-b img,
.sidebar img {
    width: 100%;
    height: 150px;
    object-fit: cover;
    border-radius: 10px;
    margin: 15px 0;
}

h1, h2, h3 {
    margin-bottom: 10px;
    letter-spacing: 1px;
}

footer {
    font-size: 35px;
    font-family: Arial;
    text-align: center;
    padding: 5px;
    font-size: medium;
}
